# Other Project Pages for Users

[TOC]

## The project list page

The site home page at https://bugs.chromium.org/ shows a list of
projects that we host on the site.  Each project row shows the project
name, summary, your role in the project, and how long it has been
since the last activity in that project.

## The project menu

When you are in a project, the name of the project is shown in the
upper-left of each page.  Clicking on that name opens a menu that
lists all the projects where you have a membership or that you have
starred.  You can easily navigate between projects by selecting a
different project from that menu.

## The project people page

When you are in a project, there is a gear menu located just to the
right of the issue search box.  Selecting `People` from that menu
takes you to the project people list.

The project people list page lists all the members of the current
project, along with their roles, extra permissions, and any notes.  As
a user, you can refer to this list to learn who is involved in the
project so that you can involve them in issues or contact them via
email.  As with all pages on the site, project members see the email
addresses of other users, and non-members will only see the email
addresses of other users who have opted into sharing that information.

Project owners use this page to add and remove project members.

## The development process pages

When you are in a project, there is a gear menu located just to the
right of the issue search box.  Selecting `Development process` from
that menu takes you to the project introduction page.

The project introduction page has a short textual description of the
goal of the project.  And, most projects have a link to the source
code location for the software being developed.

The tabs across the top of the page allow you to navigate to pages
that show many more details of the software development process.
These pages are accessible to all users who can view the project.  The
purpose of these pages is to help all users participate in the project
productively, which requires that they know the meaning of the fields
and values being used.

The development process tabs are:

* Statuses: Lists open and closed issue statuses

* Labels and fields: Lists issue labels and custom field definitions

* Templates: Lists templates used to create new issues

* Components: Lists software components being developed

* Views: Shows default options for the issue list and grid pages, and
  any saved queries


## The project history page

When you are in a project, there is a gear menu located just to the
right of the issue search box.  Selecting `History` from that menu
takes you to the project history page.

The project history page shows a list of recent changes to issues in a
project.  You can click to expand each row to see the details of an
individual change.  The list only includes items for issues that you
are currently allowed to view.
